import request from '@/utils/request'

// 查询导师带徒列表
export function listTsnew(query) {
  return request({
    url: '/bccnew/tsnew/list',
    method: 'get',
    params: query
  })
}

// 查询导师带徒详细
export function getTsnew(newId) {
  return request({
    url: '/bccnew/tsnew/' + newId,
    method: 'get'
  })
}

// 查询导师带徒详细
export function genAppraisalFormWord(newId) {
  return request({
    url: '/bccnew/tsnew/genAppraisalFormWord/' + newId,
    method: 'get'
  })
}

// 新增导师带徒
export function addTsnew(data) {
  return request({
    url: '/bccnew/tsnew',
    method: 'post',
    data: data
  })
}

// 修改导师带徒
export function updateTsnew(data) {
  return request({
    url: '/bccnew/tsnew',
    method: 'put',
    data: data
  })
}

// 删除导师带徒
export function delTsnew(newId) {
  return request({
    url: '/bccnew/tsnew/' + newId,
    method: 'delete'
  })
}

// 导出导师带徒
export function exportTsnew(query) {
  return request({
    url: '/bccnew/tsnew/export',
    method: 'get',
    params: query
  })
}

export function handleTsnew(data) {
  return request({
    url: '/bccnew/approve/handle',
    method: 'put',
    data: data
  })
}

export function handleScore(data) {
  return request({
    url: '/bccnew/approve/handleScore',
    method: 'put',
    data: data
  })
}
